---
layout: default
title: Overview
nav_order: 1
---

# Encode spatial data as topology in Python!

Topojson is a library that is capable of creating a topojson encoded format of merely any spatial object in Python.

With topojson it is possible to reduce the size of your spatial data. Mostly by orders of magnitude. It is able to do so through:

- Eliminating redundancy through computation of a topology
- Fixed-precision integer encoding of coordinates and
- Simplification and quantization of arcs

## Getting Started

- [Installation](installation)
- [Example usage](example-usage)
    - [Types of input data](example/input-types.html)
    - [Settings and tuning](example/settings-tuning.html)
    - [Retrieval data types](example/output-types.html)

## User Guide

- [How it works](how-it-works)
- [API-reference](api-reference)

## Bug Reports & Questions

- [Contributing](contributing)

Topojson is BSD-licensed and the source is available on GitHub. If any questions or issues come up as you use topojson, please get in touch via Github Issues: [Python TopoJSON on GitHub](https://github.com/mattijn/topojson).
